# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit cvs eutils

ECVS_SERVER="cvs.astro.umd.edu:/home/cvsroot"
ECVS_MODULE="partiview"

DESCRIPTION="Immersive 4D Interactive Visualization of Large Scale Simulations"
SRC_URI=""
HOMEPAGE="http://bima.astro.umd.edu/nemo/amnh/"
IUSE=""

SLOT="0"
KEYWORDS="x86"
LICENSE="NCSA"

DEPEND="=x11-libs/fltk-1.1*"

S="${WORKDIR}/${ECVS_MODULE}/src"

src_unpack(){
	cvs_src_unpack || die
	cd ${S}
	epatch ${FILESDIR}/partiview-0.8-gentoo.patch
}

src_compile(){
	econf --with-fltk=/usr || die
	make || die
}

src_install(){
	dobin partiview
	dolib.a libparti.a
	insinto /usr/include
	doins *.H cat_model.h cat_modelutil.h conste.h findfile.h flhack.h futil.h \
		geometry.h kira_parti.h nethack.h notify.h partiviewc.h pview_funcs.h \
		sclock.h sfont.h shmem.h specks.h stardef.h textures.h winjunk.h
	dodoc COPYING.geomview LICENSE README VERSION
}
